## org.hibernate.envers.entities.mapper.relation
Class OneToOneNotOwningMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
          org.hibernate.envers.entities.mapper.relation.AbstractOneToOneMapper
              org.hibernate.envers.entities.mapper.relation.OneToOneNotOwningMapper

All Implemented Interfaces:
  PropertyMapper

    public class OneToOneNotOwningMapper

extends AbstractOneToOneMapper

Property mapper for not owning side of `OneToOne` relation.

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
`AbstractToOneMapper.EntityInfo`

Constructor Summary
`OneToOneNotOwningMapper(String notOwningEntityName, String owningEntityName, String owningReferencePropertyName, PropertyData propertyData)`

Method Summary
`protected Object` `queryForReferencedEntity(AuditReaderImplementor versionsReader, AbstractToOneMapper.EntityInfo referencedEntity, Serializable primaryKey, Number revision)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractOneToOneMapper
`mapModifiedFlagsToMapForCollectionChange, mapModifiedFlagsToMapFromEntity, nullSafeMapToEntityFromMap`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
`getEntityInfo, getPropertyData, mapCollectionChanges, mapToEntityFromMap, mapToMapFromEntity, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneToOneNotOwningMapper

    public OneToOneNotOwningMapper(String notOwningEntityName,
                                   String owningEntityName,
                                   String owningReferencePropertyName,
                                   PropertyData propertyData)

Method Detail

### queryForReferencedEntity

    protected Object queryForReferencedEntity(AuditReaderImplementor versionsReader,
                                              AbstractToOneMapper.EntityInfo referencedEntity,
                                              Serializable primaryKey,
                                              Number revision)

  Specified by:
    `queryForReferencedEntity` in class `AbstractOneToOneMapper`
  Parameters:
    `versionsReader` - Audit reader.
    `referencedEntity` - Referenced entity descriptor.
    `primaryKey` - Referenced entity identifier.
    `revision` - Revision number.
  Returns:
    Referenced object or proxy of one-to-one relation.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.